@node sys/socket.h
@section @file{sys/socket.h}

POSIX specification:@* @url{http://www.opengroup.org/onlinepubs/9699919799/basedefs/sys_socket.h.html}

Gnulib module: sys_socket

Portability problems fixed by Gnulib:
@itemize
@item
This header file is missing on some platforms:
mingw.
@item
This header file is not self-contained on some platforms: it requires
@code{<sys/types.h>} to be included first.
@item
This header file is lacking the @code{SHUT_RD}, @code{SHUT_WR},
@code{SHUT_RDWR} macros on some platforms, despite having the @code{shutdown}
functions:
emx+gcc.
@item
The @code{struct sockaddr_storage} type does not have a member @code{ss_family}
on some platforms:
AIX 7.1.
@end itemize

Portability problems not fixed by Gnulib:
@itemize
@end itemize
